Taiga
API ReferencePatient PaymentsV4

Create patient payment

Creates a new patient payment record and returns the newly created PatientPayment object. The allocations can describe whether the payment is being applied toward a specific service line, claim, or billing provider.

POST
/api/patient-payments/v4

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/patient-payments/v4" \  -H "Content-Type: application/json" \  -d '{    "amount_cents": 0,    "patient_external_id": "string",    "allocations": [      {        "amount_cents": 0,        "target": {          "type": "service_line_by_id"        }      }    ]  }'
{  "patient_payment_id": "8de22079-ce88-49fc-8582-f85e58be6d63",  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",  "source_internal_id": "string",  "payment_source": "MANUAL_ENTRY",  "amount_cents": 0,  "patient_external_id": "string",  "payment_timestamp": "2019-08-24T14:15:22Z",  "payment_note": "string",  "allocations": [    {      "allocation_id": "382c58cf-1df3-4a3e-982d-9827484a770a",      "amount_cents": 0,      "target": {        "type": "service_line",        "service_line_id": "a87d8c62-6b36-44c6-9f01-a675dd3707d1",        "claim_id": "6ed32748-64af-4d95-94ea-a78b6397033c",        "encounter_id": "7a82c561-3d07-4ff8-8b24-4d41b12287d2"      },      "earmark": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "target": {          "type": "date_of_service",          "value": "string"        },        "amount_earmarked_cents": 0,        "created_by_allocation_id": "b4f1e181-a23f-4a6d-8fac-1456d1d8b4b8"      },      "allocated_on": "2019-08-24T14:15:22Z"    }  ],  "invoice": "f5072b7b-65cb-48aa-bf69-c999195da70c",  "payment_method_detail": {    "payment_method": {      "type": "cash"    },    "collected_at_address": {      "zip_plus_four_code": "string",      "address1": "string",      "address2": "string",      "city": "string",      "state": "AA",      "zip_code": "string"    },    "provider_info": {      "npi": "string",      "first_name": "string",      "last_name": "string"    }  }}